ripser-coeff(1)

NAME

ripser-coeff - fast computation of persistent homology of flag complexes, with coefficients in chosen field

SYNOPSIS

ripser-coeff [options...] [filename]

OPTIONS

--help
    Show help message and quit.

--format <format>
    Use the specified file format for the input. Options are:
    •   lower-distance (lower triangular distance matrix; default)
    •   upper-distance (upper triangular distance matrix)
    •   distance (full distance matrix)
    •   point-cloud (point cloud in Euclidean space)
    •   dipha (distance matrix in DIPHA file format)
    •   sparse (sparse distance matrix in sparse triplet format)
    •   binary (lower triangular distance matrix in binary format)

--dim <k>
    Compute persistent homology up to dimension k
--threshold <t>
    Compute Rips complexes up to diameter t
--modulus <p>
    Compute homology with coefficients in the prime field Z/pZ
--ratio <r>
    Only show persistence pairs with death/birth ratio > r

SEE ALSO

ripser(1)